package legacy;

import static org.assertj.core.api.Assertions.*;

import java.text.ParseException;
import java.util.Date;

import org.junit.Test;

public class ParameterTest {

    @Test
    public void 日付のパース() throws Exception {
        assertThat(Parameter.parse("20160207"))
                .isEqualTo(new Date(java.sql.Date.valueOf("2016-02-07").getTime()));
    }

    @Test
    public void 日付パースエラー() throws Exception {
        assertThatThrownBy(() -> Parameter.parse("x")).isInstanceOf(IllegalArgumentException.class)
                .hasCauseInstanceOf(ParseException.class);
    }
}
